<VirtualHost *:80>
    ServerAdmin webmaster@localhost

    WSGIDaemonProcess djangoP processes=10 threads=15 display-name=%{GROUP} python-path=/var/www/git-repo/petitesannonces/petitesannonces/
    WSGIProcessGroup djangoP
    WSGIScriptAlias /  /var/www/git-repo/petitesannonces/petitesannonces/app/wsgi.py
    WSGIApplicationGroup %{GLOBAL}
    WSGIPassAuthorization On

    DocumentRoot /var/www
    <Directory />
        Options FollowSymLinks
        AllowOverride None
    </Directory>

    <Directory /var/www/git-repo/petitesannonces/petitesannonces/>
        Options -Indexes +FollowSymLinks +MultiViews
        AllowOverride None
        Order allow,deny
        Allow from all
    </Directory>

    ErrorLog ${APACHE_LOG_DIR}/error.log

    LogLevel warn

    CustomLog ${APACHE_LOG_DIR}/access.log combined

    Alias /media/ /var/www/git-repo/petitesannonces/petitesannonces/media/

    <Directory /var/www/git-repo/petitesannonces/petitesannonces/media/>
        Order Allow,Deny
        Allow from All
    </Directory>
    
    Alias /static/ /var/www/git-repo/petitesannonces/petitesannonces/static/

    <Directory /var/www/git-repo/petitesannonces/petitesannonces/static/>
        Order Allow,Deny
        Allow from All
    </Directory>

</VirtualHost>
